from django.urls import path, include
from rest_framework.routers import DefaultRouter
from apps.pm.views import (MtaskViewSet, UtaskViewSet, MtaskbViewSet)

API_BASE_URL = 'api/pm/'
HTML_BASE_URL = 'dhtml/pm/'

router = DefaultRouter()
router.register('mtask', MtaskViewSet, basename='mtask')
router.register('mtaskb', MtaskbViewSet, basename='mtaskb')
router.register('utask', UtaskViewSet, basename='utask')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
